    ---------------------------------------------------------------------------
    -- FMC slot {n} pins (FDELAY mezzanine)
    ---------------------------------------------------------------------------

    fmc{n}_fd_tdc_start_p_i : in std_logic;
    fmc{n}_fd_tdc_start_n_i : in std_logic;

    fmc{n}_fd_clk_ref_p_i : in std_logic;
    fmc{n}_fd_clk_ref_n_i : in std_logic;

    fmc{n}_fd_trig_a_i         : in    std_logic;
    fmc{n}_fd_tdc_cal_pulse_o  : out   std_logic;
    fmc{n}_fd_tdc_d_b          : inout std_logic_vector(27 downto 0);
    fmc{n}_fd_tdc_emptyf_i     : in    std_logic;
    fmc{n}_fd_tdc_alutrigger_o : out   std_logic;
    fmc{n}_fd_tdc_wr_n_o       : out   std_logic;
    fmc{n}_fd_tdc_rd_n_o       : out   std_logic;
    fmc{n}_fd_tdc_oe_n_o       : out   std_logic;
    fmc{n}_fd_led_trig_o       : out   std_logic;
    fmc{n}_fd_tdc_start_dis_o  : out   std_logic;
    fmc{n}_fd_tdc_stop_dis_o   : out   std_logic;
    fmc{n}_fd_spi_cs_dac_n_o   : out   std_logic;
    fmc{n}_fd_spi_cs_pll_n_o   : out   std_logic;
    fmc{n}_fd_spi_cs_gpio_n_o  : out   std_logic;
    fmc{n}_fd_spi_sclk_o       : out   std_logic;
    fmc{n}_fd_spi_mosi_o       : out   std_logic;
    fmc{n}_fd_spi_miso_i       : in    std_logic;
    fmc{n}_fd_delay_len_o      : out   std_logic_vector(3 downto 0);
    fmc{n}_fd_delay_val_o      : out   std_logic_vector(9 downto 0);
    fmc{n}_fd_delay_pulse_o    : out   std_logic_vector(3 downto 0);

    fmc{n}_fd_dmtd_clk_o    : out std_logic;
    fmc{n}_fd_dmtd_fb_in_i  : in  std_logic;
    fmc{n}_fd_dmtd_fb_out_i : in  std_logic;

    fmc{n}_fd_pll_status_i : in  std_logic;
    fmc{n}_fd_ext_rst_n_o  : out std_logic;

    fmc{n}_fd_onewire_b : inout std_logic;
